### Method

# Cogl Primitive copy

#### Declaration [src]

    CoglPrimitive*
    cogl_primitive_copy (
      CoglPrimitive* primitive
    )

#### Description [src]

Makes a copy of an existing `CoglPrimitive`. Note that the primitive is a shallow copy which means it will use the same attributes and attribute buffers as the original primitive.

#### Return value

Type: `CoglPrimitive`

The new primitive.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.